Workspaces API
Version: 1.0
List workspaces
GET
/workspace/admin/orgs/{org_id}/workspacesGet a list of all workspaces. Admin endpoints allow organization admin users to access any workspace, regardless of their role or lack thereof within the workspace.
Request
Responses
200
Successful Response
countinteger
firsturi
(1, 2,083) chars
lasturi
(1, 2,083) chars
nexturi | null
(1, 2,083) chars
previousuri | null
(1, 2,083) chars
totalinteger
bounding_boxBoundingBox | null
created_atdate-time
emailstring | null
iduuid
namestring | null
current_user_role"owner" | "editor" | "viewer"
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default:
[]ml_enabledboolean
The name of the workspace, unique within an organization and hub
self_linkuri
(1, 2,083) chars
updated_atdate-time
emailstring | null
iduuid
namestring | null
bounding_boxBoundingBox | null
created_atdate-time
emailstring | null
iduuid
namestring | null
current_user_role"owner" | "editor" | "viewer" | null
default_coordinate_systemstring
descriptionstring
iduuid
labelsstring[]
Default:
[]ml_enabledboolean
The name of the workspace, unique within an organization and hub
self_linkuri
(1, 2,083) chars
updated_atdate-time
emailstring | null
iduuid
namestring | null
{
"links": {
"count": 0,
"first": "https://example.com",
"last": "https://example.com",
"next": "https://example.com",
"previous": "https://example.com",
"total": 0
},
"results": [
{
"bounding_box": {
"coordinates": [
[
[
0,
0
]
]
],
"type": "Polygon"
},
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"current_user_role": "owner",
"default_coordinate_system": "string",
"description": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"labels": [
"string"
],
"ml_enabled": false,
"name": "string",
"self_link": "https://example.com",
"updated_at": "2024-07-29T15:51:28.071Z",
"updated_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
}
]
}
401
No permission -- see authorization schemes
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
403
Request forbidden -- authorization will not help
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
404
Resource not found or user lacks access
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
405
Specified method is invalid for this resource
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}
422
Unprocessable Content
detailstring | null
invalid-paramsErrorInvalidParam[] | null
statusinteger
titlestring
typestring
{
"detail": "string",
"invalid-params": [
{
"name": "string",
"reason": "string"
}
],
"status": 0,
"title": "string",
"type": "string"
}